<template>
  <div class="project-list bg-gray-900">
    <h2 class="text-2xl lg:text-3xl text-white text-center pt-4 md:pt-8 lg:pt-10">
      Projets
    </h2>

    <div class="project-container m-auto w-full sm:w-3/4 lg:w-1/2">
      <Project :project="selectedProject"/>
      <Pagination :pages="projects.length" :current="index" @paginate="changeProject" />
    </div>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import Project from './Project.vue'
import Pagination from '~/components/shared/Pagination.vue'

export default Vue.extend({
  components: {
    Pagination,
    Project
  },
  props: {
    projects: {
      type: Array,
      default: () => []
    }
  },
  data () {
    return {
      index: 1,
      selectedProject: this.projects[0]
    }
  },
  methods: {
    changeProject (idx: number) {
      this.index = idx
      this.selectedProject = this.projects[idx - 1]
    }
  }
})
</script>
